
package de.ivu.elect.presentation.wahlbeteiligung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungVerlaufChangeEvent;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufMeta;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractWahlbeteiligungVerlaufAction extends AbstractActionEntry<WahlbeteiligungVerlauf> {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlbeteiligungVerlaufChangeEvent changeEvent;

  public AbstractWahlbeteiligungVerlaufAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull WahlbeteiligungVerlauf wahlbeteiligungVerlauf) {
    return false;
  }

}
